#![no_std]
use network_types::ip::{in6_addr, IpProto};
use network_types::eth::EtherType;
use core::net::Ipv6Addr;

#[derive(Clone, Copy)]
#[repr(C)]
pub struct Event {
    pub ipv: EtherType,
    pub source_port: u16,
    pub source_ipv4: u32,
    pub source_ipv6: Ipv6Addr,
    pub dest_port: u16,
    pub dest_ipv4: u32,
    pub dest_ipv6: Ipv6Addr,
    pub len: u16,
    pub proto: IpProto,
}
