use network_types::ip::IpProto;

pub fn print_proto(proto: IpProto) -> String {
    String::from(match proto {
        IpProto::HopOpt => "HopOpt",
        IpProto::Icmp => "Icmp",
        IpProto::Igmp => "Igmp",
        IpProto::Ggp => "Ggp",
        IpProto::Ipv4 => "Ipv4",
        IpProto::Stream => "Stream",
        IpProto::Tcp => "Tcp",
        IpProto::Cbt => "Cbt",
        IpProto::Egp => "Egp",
        IpProto::Igp => "Igp",
        IpProto::BbnRccMon => "BbnRccMon",
        IpProto::NvpII => "NvpII",
        IpProto::Pup => "Pup",
        IpProto::Argus => "Argus",
        IpProto::Emcon => "Emcon",
        IpProto::Xnet => "Xnet",
        IpProto::Chaos => "Chaos",
        IpProto::Udp => "Udp",
        IpProto::Mux => "Mux",
        IpProto::DcnMeas => "DcnMeas",
        IpProto::Hmp => "Hmp",
        IpProto::Prm => "Prm",
        IpProto::Idp => "Idp",
        IpProto::Trunk1 => "Trunk1",
        IpProto::Trunk2 => "Trunk2",
        IpProto::Leaf1 => "Leaf1",
        IpProto::Leaf2 => "Leaf2",
        IpProto::Rdp => "Rdp",
        IpProto::Irtp => "Irtp",
        IpProto::Tp4 => "Tp4",
        IpProto::Netblt => "Netblt",
        IpProto::MfeNsp => "MfeNsp",
        IpProto::MeritInp => "MeritInp",
        IpProto::Dccp => "Dccp",
        IpProto::ThirdPartyConnect => "ThirdPartyConnect",
        IpProto::Idpr => "Idpr",
        IpProto::Xtp => "Xtp",
        IpProto::Ddp => "Ddp",
        IpProto::IdprCmtp => "IdprCmtp",
        IpProto::TpPlusPlus => "TpPlusPlus",
        IpProto::Il => "Il",
        IpProto::Ipv6 => "Ipv6",
        IpProto::Sdrp => "Sdrp",
        IpProto::Ipv6Route => "Ipv6Route",
        IpProto::Ipv6Frag => "Ipv6Frag",
        IpProto::Idrp => "Idrp",
        IpProto::Rsvp => "Rsvp",
        IpProto::Gre => "Gre",
        IpProto::Dsr => "Dsr",
        IpProto::Bna => "Bna",
        IpProto::Esp => "Esp",
        IpProto::Ah => "Ah",
        IpProto::Inlsp => "Inlsp",
        IpProto::Swipe => "Swipe",
        IpProto::Narp => "Narp",
        IpProto::Mobile => "Mobile",
        IpProto::Tlsp => "Tlsp",
        IpProto::Skip => "Skip",
        IpProto::Ipv6Icmp => "Ipv6Icmp",
        IpProto::Ipv6NoNxt => "Ipv6NoNxt",
        IpProto::Ipv6Opts => "Ipv6Opts",
        IpProto::AnyHostInternal => "AnyHostInternal",
        IpProto::Cftp => "Cftp",
        IpProto::AnyLocalNetwork => "AnyLocalNetwork",
        IpProto::SatExpak => "SatExpak",
        IpProto::Kryptolan => "Kryptolan",
        IpProto::Rvd => "Rvd",
        IpProto::Ippc => "Ippc",
        IpProto::AnyDistributedFileSystem => "AnyDistributedFileSystem",
        IpProto::SatMon => "SatMon",
        IpProto::Visa => "Visa",
        IpProto::Ipcv => "Ipcv",
        IpProto::Cpnx => "Cpnx",
        IpProto::Cphb => "Cphb",
        IpProto::Wsn => "Wsn",
        IpProto::Pvp => "Pvp",
        IpProto::BrSatMon => "BrSatMon",
        IpProto::SunNd => "SunNd",
        IpProto::WbMon => "WbMon",
        IpProto::WbExpak => "WbExpak",
        IpProto::IsoIp => "IsoIp",
        IpProto::Vmtp => "Vmtp",
        IpProto::SecureVmtp => "SecureVmtp",
        IpProto::Vines => "Vines",
        IpProto::Ttp => "Ttp",
        IpProto::NsfnetIgp => "NsfnetIgp",
        IpProto::Dgp => "Dgp",
        IpProto::Tcf => "Tcf",
        IpProto::Eigrp => "Eigrp",
        IpProto::Ospfigp => "Ospfigp",
        IpProto::SpriteRpc => "SpriteRpc",
        IpProto::Larp => "Larp",
        IpProto::Mtp => "Mtp",
        IpProto::Ax25 => "Ax25",
        IpProto::Ipip => "Ipip",
        IpProto::Micp => "Micp",
        IpProto::SccSp => "SccSp",
        IpProto::Etherip => "Etherip",
        IpProto::Encap => "Encap",
        IpProto::AnyPrivateEncryptionScheme => "AnyPrivateEncryptionScheme",
        IpProto::Gmtp => "Gmtp",
        IpProto::Ifmp => "Ifmp",
        IpProto::Pnni => "Pnni",
        IpProto::Pim => "Pim",
        IpProto::Aris => "Aris",
        IpProto::Scps => "Scps",
        IpProto::Qnx => "Qnx",
        IpProto::ActiveNetworks => "ActiveNetworks",
        IpProto::IpComp => "IpComp",
        IpProto::Snp => "Snp",
        IpProto::CompaqPeer => "CompaqPeer",
        IpProto::IpxInIp => "IpxInIp",
        IpProto::Vrrp => "Vrrp",
        IpProto::Pgm => "Pgm",
        IpProto::AnyZeroHopProtocol => "AnyZeroHopProtocol",
        IpProto::L2tp => "L2tp",
        IpProto::Ddx => "Ddx",
        IpProto::Iatp => "Iatp",
        IpProto::Stp => "Stp",
        IpProto::Srp => "Srp",
        IpProto::Uti => "Uti",
        IpProto::Smp => "Smp",
        IpProto::Sm => "Sm",
        IpProto::Ptp => "Ptp",
        IpProto::IsisOverIpv4 => "IsisOverIpv4",
        IpProto::Fire => "Fire",
        IpProto::Crtp => "Crtp",
        IpProto::Crudp => "Crudp",
        IpProto::Sscopmce => "Sscopmce",
        IpProto::Iplt => "Iplt",
        IpProto::Sps => "Sps",
        IpProto::Pipe => "Pipe",
        IpProto::Sctp => "Sctp",
        IpProto::Fc => "Fc",
        IpProto::RsvpE2eIgnore => "RsvpE2eIgnore",
        IpProto::MobilityHeader => "MobilityHeader",
        IpProto::UdpLite => "UdpLite",
        IpProto::Mpls => "Mpls",
        IpProto::Manet => "Manet",
        IpProto::Hip => "Hip",
        IpProto::Shim6 => "Shim6",
        IpProto::Wesp => "Wesp",
        IpProto::Rohc => "Rohc",
        IpProto::EthernetInIpv4 => "EthernetInIpv4",
        IpProto::Aggfrag => "Aggfrag",
        IpProto::Test1 => "Test1",
        IpProto::Test2 => "Test2",
        IpProto::Reserved => "Reserved",
    })
}
